<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [disableLog](./bitburner.ns.disablelog.md)

## NS.disableLog() method

Disables logging for the given function.

**Signature:**

```typescript
disableLog(fn: string): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  fn | string | Name of function for which to disable logging. |

**Returns:**

void

## Remarks

RAM cost: 0 GB

Logging can be disabled for all functions by passing `ALL` as the argument.

